WebM Codec SDK: vpx_codec_cx_pkt Struct Reference

WebM Codec SDK

Data Fields
vpx_codec_cx_pkt Struct Reference
Common Algorithm Interface » Encoder Algorithm Interface

Encoder output packet. More...

`#include <vpx_encoder.h>`

## Data Fields
enum vpx_codec_cx_pkt_kind | kind
union { |
struct { |
void * buf |
size_t sz |
vpx_codec_pts_t pts |
| time stamp to show frame (in timebase units)
unsigned long duration |
| duration to show frame (in timebase units)
vpx_codec_frame_flags_t flags |
int partition_id |
| the partition id defines the decoding order of the partitions. Only applicable when "output partition" mode is enabled. First partition has id 0.
unsigned int width [5] |
| Width and height of frames in this packet. VP8 will only use the first one. More...
unsigned int height [5] |
uint8_t spatial_layer_encoded [5] |
| Flag to indicate if spatial layer frame in this packet is encoded or dropped. VP8 will always be set to 1.
} frame |
vpx_fixed_buf_t twopass_stats |
vpx_fixed_buf_t firstpass_mb_stats |
struct vpx_psnr_pkt { |
unsigned int samples [4] |
uint64_t sse [4] |
double psnr [4] |
} psnr |
vpx_fixed_buf_t raw |
char pad [128 - sizeof(enum vpx_codec_cx_pkt_kind)] |
} | data |

## Detailed Description

Encoder output packet.

This structure contains the different kinds of output data the encoder may produce while compressing a frame.

## Field Documentation

## ◆ kind

enum vpx_codec_cx_pkt_kind vpx_codec_cx_pkt::kind

packet variant

## ◆ buf

void* vpx_codec_cx_pkt::buf

compressed data buffer

## ◆ sz

size_t vpx_codec_cx_pkt::sz

length of compressed data

## ◆ flags

vpx_codec_frame_flags_t vpx_codec_cx_pkt::flags

flags for this frame

## ◆ width

unsigned int vpx_codec_cx_pkt::width[5]

Width and height of frames in this packet. VP8 will only use the first one.

frame width

## ◆ height

unsigned int vpx_codec_cx_pkt::height[5]

frame height

## ◆ [struct]

struct { ... } vpx_codec_cx_pkt::frame

data for compressed frame packet

## ◆ twopass_stats

vpx_fixed_buf_t vpx_codec_cx_pkt::twopass_stats

data for two-pass packet

## ◆ firstpass_mb_stats

vpx_fixed_buf_t vpx_codec_cx_pkt::firstpass_mb_stats

first pass mb packet

## ◆ samples

unsigned int vpx_codec_cx_pkt::samples[4]

Number of samples, total/y/u/v

## ◆ sse

uint64_t vpx_codec_cx_pkt::sse[4]

sum squared error, total/y/u/v

## ◆ psnr [1/2]

double vpx_codec_cx_pkt::psnr[4]

PSNR, total/y/u/v

## ◆ [struct] [2/2]

struct { ... } ::vpx_psnr_pkt vpx_codec_cx_pkt::psnr

data for PSNR packet

## ◆ raw

vpx_fixed_buf_t vpx_codec_cx_pkt::raw

data for arbitrary packets

## ◆ pad

char vpx_codec_cx_pkt::pad[128 - sizeof(enum vpx_codec_cx_pkt_kind)]

fixed sz

## ◆ [union]

union { ... } vpx_codec_cx_pkt::data

packet data

The documentation for this struct was generated from the following file:

- vpx/vpx_encoder.h